Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.instrument.classloading.oc4j
Class OC4JLoadTimeWeaver

    java.lang.Object
      org.springframework.instrument.classloading.oc4j.OC4JLoadTimeWeaver

All Implemented Interfaces:
  LoadTimeWeaver

    public class OC4JLoadTimeWeaver

extends Object
implements LoadTimeWeaver

`LoadTimeWeaver` implementation for OC4J's instrumentable ClassLoader.

NOTE: Requires Oracle OC4J version 10.1.3.1 or higher.

Many thanks to Mike Keith for his assistance.

Since:
  2.0
Author:
  Costin Leau

Constructor Summary
`OC4JLoadTimeWeaver()` Creates a new instance of thie `OC4JLoadTimeWeaver` class using the default `class loader`.
`OC4JLoadTimeWeaver(ClassLoader classLoader)` Creates a new instance of the `OC4JLoadTimeWeaver` class using the supplied `ClassLoader`.

Method Summary
`void` | `addTransformer(ClassFileTransformer transformer)` Add a class file transformer to be applied by this load-time weaver.
`ClassLoader` | `getInstrumentableClassLoader()` Return a class loader that supports instrumentation through AspectJ-style load-time weaving based on user-defined `ClassFileTransformers`.
`ClassLoader` | `getThrowawayClassLoader()` Return a throwaway class loader, enabling classes to be loaded and inspected without affecting the parent class loader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OC4JLoadTimeWeaver

    public OC4JLoadTimeWeaver()

  Creates a new instance of thie `OC4JLoadTimeWeaver` class using the default `class loader`.

  See Also:
    `ClassUtils.getDefaultClassLoader()`

### OC4JLoadTimeWeaver

    public OC4JLoadTimeWeaver(ClassLoader classLoader)

  Creates a new instance of the `OC4JLoadTimeWeaver` class using the supplied `ClassLoader`.

  Parameters:
    `classLoader` - the `ClassLoader` to delegate to for weaving (must not be `null`)
  Throws:
    `IllegalArgumentException` - if the supplied `ClassLoader` is `null`
  See Also:
    `getInstrumentableClassLoader()`

Method Detail

### addTransformer

    public void addTransformer(ClassFileTransformer transformer)

  Description copied from interface: `LoadTimeWeaver`
  Add a class file transformer to be applied by this load-time weaver.

  Specified by:
    `addTransformer` in interface `LoadTimeWeaver`
  Parameters:
    `transformer` - the class file transformer to add

### getInstrumentableClassLoader

    public ClassLoader getInstrumentableClassLoader()

  Description copied from interface: `LoadTimeWeaver`
  Return a class loader that supports instrumentation through AspectJ-style load-time weaving based on user-defined `ClassFileTransformers`.

  May be the current class loader, or a class loader created by this `LoadTimeWeaver` instance.

  Specified by:
    `getInstrumentableClassLoader` in interface `LoadTimeWeaver`
  Returns:
    a class loader that supports instrumentation through AspectJ-style load-time weaving based on user-defined `ClassFileTransformers`

### getThrowawayClassLoader

    public ClassLoader getThrowawayClassLoader()

  Description copied from interface: `LoadTimeWeaver`
  Return a throwaway class loader, enabling classes to be loaded and inspected without affecting the parent class loader.

  Should not return the same instance of the `ClassLoader` returned from an invocation of `LoadTimeWeaver.getInstrumentableClassLoader()`.

  Specified by:
    `getThrowawayClassLoader` in interface `LoadTimeWeaver`
  Returns:
    a temporary throwaway class loader; should return a new instance for each call, with no existing state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.